package org.springblade.estate.feign;

import org.springblade.estate.dto.NoticeDTO;
import org.springblade.estate.entity.Notice;
import org.springblade.estate.vo.NoticeVO;
import org.springframework.stereotype.Component;
import javax.validation.Valid;
import java.util.ArrayList;
import java.util.List;

@Component
public class NoticeClientFallback implements INoticeClient {
            /**
         * 详情
         */
        @Override
        public NoticeVO detail(Notice notice) {
            return null;
        }

        /**
         * 查询
         */
        @Override
        public List<NoticeVO> list(Notice notice) {
            return null;
        }

	@Override
	public List<Notice> getListByResidentialId(NoticeDTO noticeDTO) {
		return new ArrayList<>();
	}


	/**
         * 新增
         */
        @Override
        public boolean save( Notice notice) {
            return false;
        }

        /**
         * 修改
         */
        @Override
        public boolean update( Notice notice) {
            return false;
        }

        /**
         * 新增或修改
         */
        @Override
        public boolean submit( Notice notice) {
            return false;
        }


        /**
         * 删除
         */
        @Override
        public boolean remove( String ids) {
            return false;
        }

	@Override
	public boolean publishNotice(NoticeDTO noticeDTO) {
		return false;
	}

	@Override
	public boolean delete(String ids) {
		return false;
	}

}
